load_datafile(3)

NAME
load_datafile - Loads a datafile into memory. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

DATAFILE *load_datafile(const char *filename);

DESCRIPTION
Loads a datafile into memory in one go. If the datafile has been encrypted, you must first call packfile_password() to set the appropriate key. If the datafile contains truecolor graphics, you must set the video mode or call set_color_conversion() before loading it. Example:
   /* Load the resources for our game. */
   DATAFILE *dat = load_datafile("game.dat");
   if (!dat)
      abort_on_error("Couldn't load sound resources!");
   /* Use resources. */
   ...
   /* Destroy them when we don't need them any more. */
   unload_datafile(dat);

RETURN VALUE
Returns a pointer to the DATAFILE, or NULL on error. Remember to free this DATAFILE later to avoid memory leaks.

SEE ALSO
load_datafile_callback(3), unload_datafile(3), load_datafile_object(3), set_color_conversion(3), fixup_datafile(3), packfile_password(3), find_datafile_object(3), register_datafile_object(3), excustom(3), exdata(3), exexedat(3), exgui(3), exsprite(3), exunicod(3)